[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# inotify_init1

Initialize a new inotify file descriptor with extra options.

## Declaration

Source position: linux.pp line 419

`function inotify_init1(`
`flags: cint`
`):cint;`

## Description

inotify_init1 initializes a new INotify file descriptor. The following options can be OR-ed and passed in flags:

IN_NONBLOCK
  Do not block on read
IN_CLOEXEC
  Inotify close on exec flag.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information.

## See also

inotify_init |  | Initialize a new inotify file descriptor
inotify_add_watch |  | Add a watch to a notify file descriptor
inotify_rm_watch |  | Remove watch from Inotify file descriptor.

Documentation generated on: Feb 26 2014